[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFMTBCDField.CheckRange

Check value if it is in the range defined by MinValue and MaxValue

## Declaration

Source position: db.pas line 879

`public function TFMTBCDField.CheckRange(`
`AValue: TBCD`
`):Boolean;`

## Arguments

`AValue` |  | Value to check

## Function result

True if AValue is in the range [MinValue,MaxValue]

## Description

CheckRange checks whether AValue is between MinValue and MaxValue if they are both nonzero. If either of them is zero, then True is returned. The MinValue and MaxValue values themselves are also valid values.

## See also

MinValue
MaxValue